<?php

// Expenses Management
Route::prefix('expenses')->name('expenses.')->group(function () {
    Route::get('/', [App\Http\Controllers\Admin\Finance\Expense\ExpenseController::class, 'index'])->name('index');
    Route::get('/create', [App\Http\Controllers\Admin\Finance\Expense\ExpenseController::class, 'create'])->name('create');
    Route::post('/', [App\Http\Controllers\Admin\Finance\Expense\ExpenseController::class, 'store'])->name('store');
    Route::get('/{expense}/edit', [App\Http\Controllers\Admin\Finance\Expense\ExpenseController::class, 'edit'])->name('edit');
    Route::put('/{expense}', [App\Http\Controllers\Admin\Finance\Expense\ExpenseController::class, 'update'])->name('update');
    Route::delete('/{expense}', [App\Http\Controllers\Admin\Finance\Expense\ExpenseController::class, 'destroy'])->name('destroy');
});
